## Ignore Visual Studio temporary files, build results, and
## files generated by popular Visual Studio add-ons.

*.rsuser
*.suo
*.user
*.userosscache
*.sln.docstates

*.userprefs

## Mono auto generated files
mono_crash.*

## Build results
[Dd]ebug/
[Dd]ebugPublic/
[Rr]elease/
[Rr]eleases/
x64/
x86/
[Ww][Ii][Nn]32/
[Aa][Rr][Mm]/
[Aa][Rr][Mm]64/
bld/
[Bb]in/
[Oo]bj/
[Ll]og/
[Ll]ogs/

## Visual Studio cache/options directory
.vs/

## MSTest test Results
[Tt]est[Rr]esult*/
[Bb]uild[Ll]og.*

## NUnit
*.VisualState.xml
TestResult.xml
nunit-*.xml

## .NET Core
project.lock.json
project.fragment.lock.json
artifacts/

## NuGet Packages
*.nupkg
*.snupkg
**/[Pp]ackages/*
!**/[Pp]ackages/build/

## Rider
.idea/
*.sln.iml

## VS Code
.vscode/

## OS generated files
.DS_Store
Thumbs.db

## Avalonia
*.DotSettings.user
